Support » Plugin: Page Builder by SiteOrigin » WP 5.5 broke Testimonial Widget

  • Resolved Avrom

    (@dividendninja)


    Hi,
    I’m sure you already know WP 5.5 is causing havoc on many themes and plugins. This update broke your testimonial widget on our home page. We rolled back to Wp 5.4 and all is fine.
    Cheers
    Avrom

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Andrew Misplon

    (@misplon)

    Hi Avrom

    Thanks for reaching out.

    Please, try upgrading again. When the issue occurs, there are a few ways you can approach the troubleshooting. The first is to temporarily switch to the Twenty Twenty theme and temporarily deactivate all non-SiteOrigin plugins. In this state, the Testimonial widget should function normally. You can then reactivate your theme and then plugins, testing for the issue after each activation.

    Alternatively, you can try installing https://wordpress.org/plugins/enable-jquery-migrate-helper/. You’ll then be presented with a list of deprecated functions. You can contact each author to let them know. The plugin will also patch the issue in the short term.

    Finally, you could try and troubleshoot the issue using the browser console to see if your theme or which other plugin is producing an error. Here is how https://wordpress.org/support/article/using-your-browser-to-diagnose-javascript-errors/#step-3-diagnosis.

    Thread Starter Avrom

    (@dividendninja)

    Hi Andrew,
    Thanx for the advice on testing. No we cannot start disabling plugins and testing on a live production site.

    The testimonial widget in SiteOrigin is the issue, as it worked fine until WordPress 5.5 update. The JQuery migrate helper is a possible band-aid. Please fix on you end as you are able – and please let us know, thank you Andrew.

    Plugin Author Andrew Misplon

    (@misplon)

    Hi Avrom

    Thanks for your reply.

    If your theme or one of your other plugins is producing errors that impact other plugins then it’s possible that downgrading to WordPress 5.4 will inadvertently resolve the issue.

    At the moment, we aren’t aware of an issues with the SiteOrigin Testimoniails widget. You can view a copy of the widget in use here with WordPress 5.5 (What They Say section).

    One way to proceed would be to upgrade to WordPress 5.5 and then install jQuery Migrate Helper as a diagnostic tool. jQuery Migrate Helper won’t pick up any issues with SiteOrigin plugins but it will let you know if your theme or any of your other plugins need attention from the developers while at the same time patching issues until those developers ship an update.

    You’re also welcome to send a link to the page impacted once the error is visible, we’d be happy to take a look.

    Thread Starter Avrom

    (@dividendninja)

    Hi Andrew,
    Thank you so much for following up! Rolling back to 5.4 solved the issue (perhaps temporarily). I think you are absolutely correct. We have an older theme, a few too many plugins, and I can easily see problems and conflicts from that.

    Yes I have been aware of the JQuery Migrate Helper. As we are rebuilding soon, we’ll let this one slide unless we have further problems.

    Thank you again.
    Cheers
    Avrom

    • This reply was modified 1 year, 9 months ago by Avrom. Reason: spelling typo for "the"
    Plugin Author Andrew Misplon

    (@misplon)

    Hi Avrom

    Sorry for missing your reply.

    I was going to suggest that perhaps the site could be cloned to a staging site so that we could work on the issue there, away from the public site. That said, if you’re rebuilding soon then it’s no worries to remain on WordPress 5.4 for the time being.

    If any SiteOrigin questions arise in the future, please, let us know.

    Cheers for now.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘WP 5.5 broke Testimonial Widget’ is closed to new replies.